package cn.wise.sc.energy.power.plant.business.bean;

import com.alibaba.fastjson.annotation.JSONField;
import lombok.Data;
import java.util.ArrayList;
import java.util.List;

/**
 * @description: 计算总功率的返回对象
 * @author: qh
 * @create: 2020-05-23 12:32
 **/
@Data
public class DataPower {

    /**
     * X轴数据
     */
    @JSONField(name = "xaxis")
    List<Object> xAxis = new ArrayList<>();

    /**
     * 折线图的点数据
     */
    @JSONField(name = "dataList")
    List<PowerPoints> dataList = new ArrayList<>();

    /**
     * 数据
     */
    @Data
    public static class PowerPoints {
        /**
         * 测点名
         */
        private String name;
        /**
         * kks code
         */

        private String kksCode;
        /**
         * 颜色
         */
        private String color;
        /**
         * Y轴值集合
         */
        private List<String> value = new ArrayList<>();
    }
}

